Fedora 24:php(2016-b967ac1a74)

high Nessus プラグイン ID 92149

概要

リモート Fedora ホストに、セキュリティ更新がありません。

説明

2016 年 5 月 26 日、**PHP 5.6.22**

**コア:**

- バグ #72172(zend_hex_strtod は strlen を使用するべきではありません)を修正しました。(bwitz at hotmail dot com)

- バグ #72114(fread/gzread での整数アンダーフロー / 任意の null 書き込み)を修正しました。(Stas)

- バグ #72135(php_html_entities での整数オーバーフロー)を修正しました。(Stas)

**GD:**

- バグ #72227(imagescale の領域外読み取り)を修正しました。(Stas)

**Intl:**

- バグ #64524(intl.use_exceptions を php.ini-* に追加します)を修正しました。
(Anatol)

- バグ #72241(get_icu_value_internal の領域外読み取り)を修正しました。(Stas)

**Postgres:**

- バグ #72151(mysqli_fetch_object が動作を変更しました)を修正しました。(Anatol)

注意:Tenable Network Security は、前述の説明ブロックを Fedora 更新システム Web サイトから直接抽出しています。
Tenable では、できる限り新たな問題を持ち込まないように、自動的に整理して書式設定するようにしています。

ソリューション

影響を受ける php パッケージを更新してください。

関連情報

https://bodhi.fedoraproject.org/updates/FEDORA-2016-b967ac1a74

プラグインの詳細

深刻度: High

ID: 92149

ファイル名: fedora_2016-b967ac1a74.nasl

バージョン: 1.6

タイプ: local

エージェント: unix

公開日: 2016/7/14

更新日: 2021/1/11

サポートされているセンサー: Frictionless Assessment Agent, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.2

CVSS v2

リスクファクター: High

Base Score: 7.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

リスクファクター: High

Base Score: 8.6

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H

脆弱性情報

CPE: p-cpe:/a:fedoraproject:fedora:php, cpe:/o:fedoraproject:fedora:24

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

パッチ公開日: 2016/5/30

脆弱性公開日: 2016/8/7

参照情報

CVE: CVE-2016-5093, CVE-2016-5096